{% extends 'base.html' %}

{% block title %}Home{% endblock %}

{% block content %}
	{% if not user.is_anonymous %}

		<h1 class="text-center my-3">Welcome {{ user.username }}!</h1>
		<div class="container">
			<div class="row">
				<h3 class="text-center mb-3">My Tasks</h3>
				<ul class="list-group col-lg-2 offset-lg-5 text-center">
					{% for todoitem in todoitem_list %}
						<li class="list-group-item">
							<a href="{% url 'todolist:viewtodoitem' todoitem.id %}">{{ todoitem.task_name }}</a>
						</li>
					{% endfor %}
				</ul>
			</div>

			<div class="row">
				<h3 class="text-center mb-3">My Events</h3>
				<ul class="list-group col-lg-2 offset-lg-5 text-center">
					{% for events in events_list %}
						<li class="list-group-item">
							<a href="{% url 'todolist:viewevents' events.id %}">{{ events.event_name }}</a>
						</li>
					{% endfor %}
				</ul>
			</div>
		</div>

	{% else %}
		<h1 class="text-center my-3">You are not authorized to access this page.</h1>
		<p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
	{% endif %}
{% endblock %}
